%define name    gmetadom
%define version 0.2.6
%define release %mkrel 1

%define major 0
%define libname  %mklibname gmetadom_gdome_cpp_smart %major

%define _disable_ld_as_needed 1

Summary: C++ Wrapper for GDOME
Name: %name
Version: %version
Release: %release
Group:  System/Libraries
License:   LGPL
URL:  http://gmetadom.sourceforge.net/
Source:   %{name}-%{version}.tar.bz2
Patch0: gmetadom-0.2.3-gcc4.1.patch.bz2
Patch1: gmetadom-0.2.6-fix-missing-header.patch
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: gdome2-devel
BuildRequires: libgdome-devel
BuildRoot: %_tmppath/%{name}-%{version}

%description
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname
Summary: CPP Libraries for gdome2
Group: System/Libraries

%description -n %libname
 GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname-devel
Summary: Libraries and include files for gdome2
Group:    Development/C++
Requires: %libname = %{version}
Requires: glib2-devel >= 2.4.4 libgdome-devel libxml2-devel >= 2.6.11
Provides: %name-devel  = %version-%release
Provides: libgmetadom_gdome_cpp_smart-devel = %version-%release

%description -n %libname-devel
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n ocaml-%{name}
Group: Development/Other
Summary: Ocaml bindings for %name
Obsoletes:  %{name}-ocaml

%description -n ocaml-%{name}
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

This are the Ocaml bindings of GMetaDOM.

%prep
%setup -qn %{name}-%{version}
%patch1 -p 1

%build
#gw we have to disable libtoolize, as the ocaml path doesn't build otherwise
%define __libtoolize true
%configure2_5x --with-ocaml-lib-prefix=%{_libdir}/ocaml

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HISTORY INSTALL LICENSE
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/lib*.so
%_libdir/*.a
%_libdir/*.la

%files -n ocaml-%{name}
%defattr(-, root, root)
%{_libdir}/ocaml/gdome2
%{_libdir}/ocaml/stublibs/*


%changelog
* Thu Dec 24 2009 Texstar <texstar gmail.com> 0.2.6-1pclos2010
- gcc update
- 0.2.6

